// import Vue from 'vue'
import axios from 'axios'

export default {
  post(url, params = {}) {
    return new Promise((resolve, reject) => {
      axios.post(url, params || {}, {
        headers: {
          'content-type': 'application/json',
          'Authorization': sessionStorage.getItem("token") || '',
        }
      })
        .then(res => {
          resolve(res.data)
        })
        .catch(err => {
          reject(err.data)
        })
    })
  },
  // get(url, params) {
  //   return new Promise((resolve, reject) => {
  //     axios.get(url, {
  //       params: params
  //     }).then(res => {
  //       resolve(res.data)
  //     }).catch(err => {
  //       reject(err.data)
  //     })
  //   })
  // }
 
}